[med-svn] [Git][med-team/gatb-core][master] 2 commits: Add autopkgtests

Mohd Bilal (@rmb) gitlab at salsa.debian.org
Sat Sep 3 15:35:39 BST 2022



Mohd  Bilal pushed to branch master at Debian Med / gatb-core


Commits:
6893625d by Mohammed Bilal at 2022-09-03T06:42:45+05:30
Add autopkgtests

- - - - -
48e53aa4 by Mohammed Bilal at 2022-09-03T20:05:02+05:30
Update changelog

- - - - -


3 changed files:

- debian/changelog
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+gatb-core (1.4.2+dfsg-10) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * Add autopkgtests
+
+ -- Mohammed Bilal <mdbilal at disroot.org>  Sat, 03 Sep 2022 14:05:14 +0000
+
 gatb-core (1.4.2+dfsg-9) unstable; urgency=medium
 
   * Adapt symbols to gcc-12


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, @builddeps@
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,61 @@
+#!/bin/bash
+set -e
+
+pkg=gatb-core
+CUR_DIR=`pwd`
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/${pkg}/examples "${AUTOPKGTEST_TMP}"
+cp -a ${CUR_DIR}/${pkg}/test/db "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+DB_DIR=${AUTOPKGTEST_TMP}/db
+
+code_snippets=($(find ./examples -name "*1.cpp"))
+for code_snippet in ${code_snippets[*]}
+do
+        prg_name=`echo $code_snippet | cut -d'/' -f4 | cut -d'.' -f1`
+# Compiling using installed libs
+    g++ $code_snippet -Iinclude -Llib -lgatbcore `pkg-config --libs hdf5`  -lhdf5 -lmpi  -ldl -lz -lpthread  -std=c++0x -O3 -o $prg_name
+done
+
+echo -e "f6f63f16384efd47a059566413617770  kmer.fa" >> checksums
+
+echo -e "Running Tests"
+
+echo -e "Test 1"
+./iterators1
+
+echo -e "Test 2"
+./bank1 ${DB_DIR}/reads1.fa
+./bank11 -kmer-size 4 -out kmer.fa
+
+echo -e "Test 3"
+./debruijn1 -in ${DB_DIR}/reads1.fa
+./debruijn11
+./debruijn21 -graph ${DB_DIR}/celegans_reads.h5
+
+echo -e "Test 4"
+./kmer1
+./kmer11 -in ${DB_DIR}/reads1.fa
+
+echo -e "Test 5"
+./multithreading1
+
+echo -e "Test 6"
+./observer1
+
+echo -e "Test 7"
+./storage1
+
+echo -e "Test 8"
+./traversal1 -graph ${DB_DIR}/celegans_reads.h5
+
+md5sum --check checksums
+echo "PASS"



View it on GitLab: https://salsa.debian.org/med-team/gatb-core/-/compare/bba324c50cb222232d3e41004582ed65c554327a...48e53aa44b611f8a8b5faccd7ba91cd372e71956

-- 
View it on GitLab: https://salsa.debian.org/med-team/gatb-core/-/compare/bba324c50cb222232d3e41004582ed65c554327a...48e53aa44b611f8a8b5faccd7ba91cd372e71956
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220903/159bf717/attachment-0001.htm>


More information about the debian-med-commit mailing list